#
# spec file for package byacc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2010 Guido Berhoerster.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           byacc
Version:        20170430
Release:        bp153.1.16
Summary:        LALR(1) parser generator
License:        SUSE-Public-Domain
Group:          Development/Languages/C and C++
Url:            http://invisible-island.net/byacc/byacc.html
Source0:        ftp://invisible-island.net/byacc/byacc-%{version}.tgz
Source1:        ftp://invisible-island.net/byacc/byacc-%{version}.tgz.asc
Source2:        %{name}.keyring

%description
Berkeley Yacc is a LALR(1) parser generator. It has been made as compatible as
possible with AT&T Yacc and it accepts any input specification that conforms to
the AT&T Yacc documentation. In contrast to bison, it is written to avoid
dependencies upon a particular compiler.

%prep
%setup -q

%build
# without --with-warnings several functions will not be marked with gcc's
# noreturn attribute and produce warnings when $RPM_OPT_FLAGS contains -Wall
%configure \
  --with-warnings \
	--program-prefix=b
make %{?_smp_mflags}

%install
%make_install

%check
make %{?_smp_mflags} check

%files
%defattr(-,root,root,-)
%doc ACKNOWLEDGEMENTS CHANGES NEW_FEATURES NO_WARRANTY NOTES README
%{_bindir}/byacc
%{_mandir}/man1/byacc.1%{ext_man}

%changelog
* Mon Jun  5 2017 mpluskal@suse.com
- Update to version 20170430:
  * See attached CHANGES for complete list of changes
* Fri Apr  7 2017 mpluskal@suse.com
- Update to version 20170201:
  * See attached CHANGES for complete list of changes
* Fri Jan 27 2017 mpluskal@suse.com
- Update to version 20161202:
  * See attached CHANGES for complete list of changes
* Tue Jul 12 2016 mpluskal@suse.com
- Update to version 20160606:
  * See attached CHANGES for complete list of changes
* Wed Aug  5 2015 mpluskal@suse.com
- Update to 20150711
  * See attached CHANGES for complete list of changes
* Thu Feb 26 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Add gpg signature
- Update to 20141128
  * lr0.c: coverity #39181: memory leak
- Changes in 2014-11-13
  * descrip.mms: support for openvms
* Fri Oct 10 2014 gber@opensuse.org
- update to version 20141006
  - package/debian/source/format: change to native format to work
    around regression in Debian packaging.
  - main.c: correct parameter for umask - for very old mkstemp's -
    and use type mode_t to quiet compiler warning
  - configure.in: add configure check for mode_t
  - reader.c: better fix for get_line, by ensuring there is enough
    space to null-terminate its result (prompted by discussion with
    Craig Rodrigues).
  - main.c: make change to umask before calling mkstemp, as
    suggested in Coverity #56902
  - reader.c: adjust logic in copy_action to avoid potential
    null-pointer dereference (Coverity #56901)
  - reader.c: adjust logic to avoid potential null-pointer
    dereference in compile_args (Coverity #63407)
  - reader.c: eliminate strcpy into fixed-size buffer (Coverity
    [#63408])
  - yacc.1: document changes made with respect to %%parse-param
  - output.c: add parameters from %%parse-param to destructor.  The
    order of the parameters is intentionally inconsistent with
    yyparse/yyerror, for "compatibility" with bison.
  - output.c: use puts_param_types/puts_param_names to output
    lex_param data.
  - btyaccpar.c: add casts, change types to fix strict compiler
    warnings
  - output.c: gcc-warning
  - output.c: fix limit when merging real/workaround tables
  - output.c: for btyacc, it is possible to have no conflicts - but
    in that case, the "ctable" was not generated at all, while the
    skeleton uses the table.  The most straightforward (workaround)
    is generating a dummy table which rejects any state.
  - test/btyacc_destroy3.y, test/btyacc_destroy2.y,
    test/btyacc_destroy1.y: fix "make check_make"
  - reader.c: trim blanks from interim value in copy_param() to
    handle special case when a space precedes a comma.
  - output.c: use two new functions, puts_param_types and
    puts_param_names, to improve format of the parse_param list (by
    trimming space after "*") as well as correcting the output of
    the comma-separated names (only the last name was output).
  - reader.c: modify copy_param() to handle resulting
    comma-separated list.  Before, it only expected a single
    parameter.
  - reader.c: split-out save_param() from copy_param()
  - reader.c: trim_blanks() did not always convert spaces - fix.
  - reader.c: fix some minor regressions with error-reporting
  - aclocal.m4: update CF_XOPEN_SOURCE for Unixware change from
    lynx
  - reader.c: modify copy_param() to accept multiple parameters,
    each in curly braces like recent bison, as well as honoring
    bison's undocumented feature to accept the parameters as a
    comma-separated list.
  - main.c, reader.c, defs.h: use calloc in get_line() when
    allocating line to ensure it is fully initialized, fixes a
    later uninitialized value in copy_param() (FreeBSD #193499).
  - closure.c, lalr.c, output.c, defs.h: rephrase odd addressing to
    fix Coverity #48848, #38950, #38860, not actually a bug.
  - config.sub: update to 2014-07-28
  - aclocal.m4: modified to support port to Minix3.2
* Tue Aug 26 2014 gber@opensuse.org
- update to version 20140715
  * fix tests
  * remove obsolete -D option from usage message
* Mon May 26 2014 gber@opensuse.org
- update to version 20140422
  * too large number of changes to list here, see the included
    CHANGES file for a detailed list
* Thu Sep 26 2013 gber@opensuse.org
- update to version 20130925
  * reader.c: fix two loop-limits found by clang 3.3 --analyze
  * configure: regen
  * aclocal.m4: tweaks to CF_MIXEDCASE_FILENAMES and
    CF_XOPEN_SOURCE for msys from ncurses
  * package/mingw-byacc.spec: RCS_BASE
  * regenerate various test files
  * skeleton.c: Increase default stack-size to match FreeBSD
    version noted as from "BSD 4.4 Lite Usr.bin Sources".
  * config.sub: update to 2013-09-15
  * config.guess: update to 2013-06-10
* Sat Aug  3 2013 crrodriguez@opensuse.org
- run test suite
- use --program-prefix instead of moving/renaming executables
  around.
* Sat Aug  3 2013 crrodriguez@opensuse.org
- byacc 20130304
  * too many since 2010 to list here.. see
  http://invisible-island.net/byacc/CHANGES
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Mon Mar 29 2010 guido+opensuse.org@berhoerster.name
- initial packaging of byacc
